#
# Conditional build:
%bcond_without	caja	# Caja support
#
Summary:	Engrampa - an archive manager for MATE
Summary(pl.UTF-8):	Engrampa - zarządca archiwów dla środowiska MATE
Summary(pt_BR.UTF-8):	Engrampa - gerenciador de arquivos compactados para o MATE
Name:		engrampa
Version:	1.28.2
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	https://pub.mate-desktop.org/releases/1.28/%{name}-%{version}.tar.xz
# Source0-md5:	5a9e58842f019eddaa30d9fa85c7e957
URL:		https://wiki.mate-desktop.org/mate-desktop/applications/engrampa/
BuildRequires:	autoconf >= 2.61
BuildRequires:	automake >= 1:1.9
%{?with_caja:BuildRequires:	caja-devel >= 1.17.1}
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-tools >= 0.19.8
BuildRequires:	glib2-devel >= 1:2.50.0
BuildRequires:	gtk+3-devel >= 3.22.0
BuildRequires:	json-glib-devel >= 0.14.0
BuildRequires:	libtool >= 1:1.4.3
BuildRequires:	libxml2-progs
BuildRequires:	mate-common
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(find_lang) >= 1.36
BuildRequires:	rpmbuild(macros) >= 1.596
BuildRequires:	scrollkeeper
BuildRequires:	tar >= 1:1.22
# libegg
BuildRequires:	xorg-lib-libICE-devel >= 1.0.0
BuildRequires:	xorg-lib-libSM-devel >= 1.0.0
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires(post,postun):	scrollkeeper
Requires:	glib2 >= 1:2.50.0
Requires:	gtk+3 >= 3.22.0
Requires:	json-glib >= 0.14.0
Suggests:	bzip2
Suggests:	cpio
Suggests:	gzip
Suggests:	p7zip
%ifarch %{ix86}
Suggests:	rar
%else
Suggests:	unrar
%endif
Suggests:	tar
Suggests:	zip
Obsoletes:	mate-file-archiver < 1.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Engrampa is an archive manager for the MATE environment. It's a fork
of File Roller from GNOME. With Engrampa you can: create and modify
archives; view the content of an archive; view and modify a file
contained in the archive; extract files from the archive.

%description -l pl.UTF-8
Engrampa to zarządca archiwów dla środowiska MATE. Jest to
odgałęzienie programu File Roller z GNOME. Przy jego pomocy można:
tworzyć i modyfikować archiwa, oglądać ich zawartość, oglądać i
modyfikować poszczególne pliki zawarte w archiwum oraz rozpakowywać
pliki z archiwów.

%description -l pt_BR.UTF-8
Engrampa é um gerenciador de pacotes de arquivos compactados para o
ambiente MATE. Com ele é possível criar arquivos, visualizar o
conteúdo de arquivos existentes, visualizar um arquivo contido em um
pacote e extrair os arquivos de um pacote.

%package -n caja-extension-engrampa
Summary:	Engrampa (archive manager) extension for Caja (MATE file manager)
Summary(pl.UTF-8):	Rozszerzenie Engrampa (zarządca archiwów) dla zarządcy plików Caja
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}
Requires:	caja >= 1.17.1
Obsoletes:	mate-file-manager-extension-engrampa < 1.8.0

%description -n caja-extension-engrampa
Engrampa (archive manager) extension for Caja (MATE file manager).

%description -n caja-extension-engrampa -l pl.UTF-8
Rozszerzenie Engrampa (zarządca archiwów) dla zarządcy plików Caja.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_caja:--disable-caja-actions} \
	--disable-silent-rules \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/caja/extensions-2.0/*.la

# outdated copies of es,ur
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/{es_ES,ur_PK}
# not supported by glibc (2.34)
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/{frp,ie,jv,ku_IQ,pms}

%find_lang engrampa --with-mate

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas
%update_desktop_database_post
%update_icon_cache hicolor

%postun
%glib_compile_schemas
%update_desktop_database_postun
%update_icon_cache hicolor

%files -f engrampa.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/engrampa
%attr(755,root,root) %{_libexecdir}/engrampa-server
%dir %{_libexecdir}/engrampa
%attr(755,root,root) %{_libexecdir}/engrampa/isoinfo.sh
%{_datadir}/engrampa
%{_datadir}/metainfo/engrampa.appdata.xml
%{_datadir}/dbus-1/services/org.mate.Engrampa.service
%{_datadir}/glib-2.0/schemas/org.mate.engrampa.gschema.xml
%{_desktopdir}/engrampa.desktop
%{_iconsdir}/hicolor/*/actions/*-archive.png
%{_iconsdir}/hicolor/*/apps/engrampa.*
%{_mandir}/man1/engrampa.1*

%if %{with caja}
%files -n caja-extension-engrampa
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/caja/extensions-2.0/libcaja-engrampa.so
%{_datadir}/caja/extensions/libcaja-engrampa.caja-extension
%endif
%changelog
* Sun Aug 18 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/engrampa.git;a=log;h=master

* Sat Aug 17 2024 Jan Palus <atler@pld-linux.org> 70d65b7
- up to 1.28.2

* Sun May 26 2024 Jakub Bogusz <qboosh@pld-linux.org> 7589326
- updated to 1.28.1

* Tue Feb 06 2024 Jan Palus <atler@pld-linux.org> e9bd8fd
- up to 1.26.2

* Thu May 04 2023 Jan Palus <atler@pld-linux.org> e96ffb2
- up to 1.26.1

* Sun Sep 12 2021 Jakub Bogusz <qboosh@pld-linux.org> b70c316
- more specific URL, updated rpm macros, versioned Obsoletes

* Wed Aug 18 2021 Jan Palus <atler@pld-linux.org> 4d226a8
- up to 1.26.0

* Tue Mar 23 2021 Jan Palus <atler@pld-linux.org> 9c864ea
- up to 1.24.2

* Mon Aug 17 2020 Jan Palus <atler@pld-linux.org> c11d255
- up to 1.24.1

* Tue Feb 11 2020 Jan Palus <atler@pld-linux.org> e39dc39
- up to 1.24.0

* Sat Jan 04 2020 Jan Palus <atler@pld-linux.org> be8d4fc
- up to 1.22.3

* Mon Sep 02 2019 Jan Palus <atler@pld-linux.org> f6ac376
- up to 1.22.2

* Tue Apr 23 2019 Jan Palus <atler@pld-linux.org> 5fe2d7a
- up to 1.22.1

* Tue Mar 19 2019 Jan Palus <atler@pld-linux.org> 712b055
- up to 1.22.0

* Wed Dec 12 2018 Jan Palus <atler@pld-linux.org> 813cd30
- up to 1.20.2

* Tue Jun 12 2018 Jan Palus <atler@pld-linux.org> 1655689
- up to 1.20.1

* Wed Feb 07 2018 Jan Palus <atler@pld-linux.org> f897cce
- up to 1.20.0

* Mon Nov 06 2017 Jan Palus <atler@pld-linux.org> f1aff5d
- up to 1.18.3

* Tue May 16 2017 Jan Palus <atler@pld-linux.org> 4a3423d
- up to 1.18.2

* Wed Apr 05 2017 Jan Palus <atler@pld-linux.org> c83b415
- up to 1.18.1

* Wed Mar 15 2017 Jan Palus <atler@pld-linux.org> 55ed73a
- up to 1.18.0

